# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: ryax/action_builder/infrastructure/messaging/messages/grpc_messages.proto
# Protobuf Python Version: 4.25.1
"""Generated protocol buffer code."""
from google.protobuf import descriptor as _descriptor
from google.protobuf import descriptor_pool as _descriptor_pool
from google.protobuf import symbol_database as _symbol_database
from google.protobuf.internal import builder as _builder
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


from ryax.action_builder.infrastructure.messaging.messages import repository_messages_pb2 as ryax_dot_action__builder_dot_infrastructure_dot_messaging_dot_messages_dot_repository__messages__pb2
from ryax.action_builder.infrastructure.messaging.messages import action_builder_messages_pb2 as ryax_dot_action__builder_dot_infrastructure_dot_messaging_dot_messages_dot_action__builder__messages__pb2


DESCRIPTOR = _descriptor_pool.Default().AddSerializedFile(b'\nIryax/action_builder/infrastructure/messaging/messages/grpc_messages.proto\x12\x08grpc_api\x1aOryax/action_builder/infrastructure/messaging/messages/repository_messages.proto\x1aSryax/action_builder/infrastructure/messaging/messages/action_builder_messages.proto\",\n\x17\x43\x61ncelCurrentBuildReply\x12\x11\n\taction_id\x18\x01 \x01(\t\"\x86\x02\n\x0c\x42uildRequest\x12\x11\n\taction_id\x18\x01 \x01(\t\x12\x13\n\x0b\x61\x63tion_type\x18\x02 \x01(\t\x12\x13\n\x0b\x61\x63tion_kind\x18\x03 \x01(\t\x12\x16\n\x0e\x61\x63tion_version\x18\x04 \x01(\t\x12\x16\n\x0e\x61\x63tion_archive\x18\x05 \x01(\x0c\x12\x1d\n\x15\x61\x63tion_technical_name\x18\x06 \x01(\t\x12\x17\n\x0f\x61\x63tion_revision\x18\x07 \x01(\t\x12 \n\x18\x61\x63tion_wrapper_type_list\x18\t \x03(\t\x12\x17\n\x0f\x61\x63tion_owner_id\x18\n \x01(\t\x12\x16\n\x0e\x61\x63tion_project\x18\x0b \x01(\t\"\xb9\x01\n\nBuildReply\x12+\n\x06status\x18\x01 \x01(\x0e\x32\x1b.grpc_api.BuildReply.Status\x12\x0c\n\x04logs\x18\x02 \x01(\t\x12\x10\n\x08lockfile\x18\x03 \x01(\x0c\"^\n\x06Status\x12\x08\n\x04NONE\x10\x00\x12\x11\n\rBUILD_SUCCESS\x10\x01\x12\x11\n\rBUILD_STARTED\x10\x02\x12\x13\n\x0f\x42UILD_CANCELLED\x10\x03\x12\x0f\n\x0b\x42UILD_ERROR\x10\x04\x32\x9f\x01\n\rActionBuilder\x12\x39\n\x05\x42uild\x12\x16.grpc_api.BuildRequest\x1a\x14.grpc_api.BuildReply\"\x00\x30\x01\x12S\n\x0b\x43\x61ncelBuild\x12\x1d.repository.ActionCancelBuild\x1a#.action_builder.ActionBuildCanceled\"\x00\x62\x06proto3')

_globals = globals()
_builder.BuildMessageAndEnumDescriptors(DESCRIPTOR, _globals)
_builder.BuildTopDescriptorsAndMessages(DESCRIPTOR, 'ryax.action_builder.infrastructure.messaging.messages.grpc_messages_pb2', _globals)
if _descriptor._USE_C_DESCRIPTORS == False:
  DESCRIPTOR._options = None
  _globals['_CANCELCURRENTBUILDREPLY']._serialized_start=253
  _globals['_CANCELCURRENTBUILDREPLY']._serialized_end=297
  _globals['_BUILDREQUEST']._serialized_start=300
  _globals['_BUILDREQUEST']._serialized_end=562
  _globals['_BUILDREPLY']._serialized_start=565
  _globals['_BUILDREPLY']._serialized_end=750
  _globals['_BUILDREPLY_STATUS']._serialized_start=656
  _globals['_BUILDREPLY_STATUS']._serialized_end=750
  _globals['_ACTIONBUILDER']._serialized_start=753
  _globals['_ACTIONBUILDER']._serialized_end=912
# @@protoc_insertion_point(module_scope)
